Bug 531119 - Abrt pops up config windows behind main window
Abrt pops up config windows behind main window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-26 19:22 EDT by Michael De La Rue
Modified: 2015-02-01 17:49 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-03 15:48:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
desktop image of bugzilla reporting tool showing wrong window order (124.01 KB, image/png)
2009-10-29 17:38 EDT, Michael De La Rue
no flags Details

  None (edit)
Description Michael De La Rue 2009-10-26 19:22:27 EDT
Description of problem:
The window which asks for username and password for bugzilla pops up behind the main application window and isn't at all easy to find.  This makes the application appear to lock up.  

Version-Release number of selected component (if applicable):
abrt-0.0.10-1.fc12.x86_64 / abrt-gui-0.0.10-1.fc12.x86_64 / abrt-plugin-bugzilla-0.0.10-1.fc12.x86_64

How reproducible:
every time

Steps to Reproduce:
1. clean install of fedora Beta 12
2. full update
3. do sosreport
4. sosreport crashes (see Bug 530987)
5. click on warning sign icon to report
6. fill in text and press send
7. gui front end appears to lock up
  
Actual results:
the username/password window pops up behind the main window

Expected results:
the username/password window should be on top when it opens
the username/password window should pop up before other windows are open

Additional info:
Full system logs from this insall are attached e.g. to Bug #531109
Comment 1 Jens Petersen 2009-10-28 07:48:05 EDT
I noticed this several times now: it is highly confusing and annoying.
The user experiences this as a lockup.
Comment 2 Adam Williamson 2009-10-28 15:53:05 EDT
editing summary, it's abrt not abort. :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Jiri Moskovcak 2009-10-29 05:20:56 EDT
What username/password window? Do you mean the "Wrong settings detected" window?
Comment 4 Jens Petersen 2009-10-29 05:51:04 EDT
Perhaps a desktop screenshot would help.

The bugzilla username/password window.

The bugzilla "wizard" appears but all its child
dialogs are hidden by other abrt windows.
Comment 5 Michael De La Rue 2009-10-29 17:38:13 EDT
Created attachment 366718 [details]
desktop image of bugzilla reporting tool showing wrong window order

Here's a desktop image; I've moved the top window over so that you can see the order but haven't otherwise changed anything.  The point is that the top window ("Report") is blocked waiting for the window underneath ("Wrong Settings Detected") but the underneath window is normally not even visible.
Comment 6 Jiri Moskovcak 2009-11-02 16:26:45 EST
Fixed in git, going to be part of next update.
Comment 7 Jens Petersen 2009-11-02 20:48:14 EST
Can you change to Modified when it is built in koji, please?
Comment 8 Bill Nottingham 2009-11-03 15:48:41 EST
This is fixed in 0.0.11.

Note You need to log in before you can comment on or make changes to this bug.